All Data Structures Namespaces Files Functions Variables
TestModule Class Reference
Inheritance diagram for TestModule:

## Public Member Functions

| install ()
| doAction ($e)
| doShortCode ($short, $params)
Public Member Functions inherited from AModule
| install ()
| uninstall ()
| doAction ($event)
| doShortCode ($shortCode, $params)
| setContext ($context)
| setEntity ($entity)
| registerHook ($hookName)
| getName ()
| getDescription ()
| __get ($key)

## Detailed Description

Definition at line 3 of file main.php.

## Member Function Documentation

doAction | ( |  | $e | ) |

Definition at line 9 of file main.php.

{
if ($e->hookName == "routerSetup")
$this->context->router->routeAdd("/test", "MyController");
}

doShortCode | ( |  | $short,
|  |  | $params
| ) |  |

Definition at line 15 of file main.php.

{
}

install | ( |  | ) |

Definition at line 5 of file main.php.

{
}

The documentation for this class was generated from the following file:

- content/modules/test/main.php